MultiDimensional Gene Set Analysis
==================================


About
-----

The `mdgsa` library implements the _gene set analysis_ methodology developed in
[Montaner and Dopazo 2010][montaner2010].
It presents a flexible framework for analyzing the enrichment
of _gene sets_ along a given _ranking_ of genes.
The novelty is that,
not just one _ranking index_ but two,
may be analyzed and jointly explored 
in a __multidimensional gene set analysis__.


Install
-------

Development version is available in GitHub:  
<https://github.com/dmontaner/mdgsa>

You can install the development version form your R session doing:

```r
library (devtools)
install_github ("dmontaner/mdgsa")
```

Documentation
--------------

Vignette 
- [PDF format](https://github.com/dmontaner/mdgsa/blob/master/inst/doc/mdgsa_vignette.pdf?raw=true)
- [MD format](https://github.com/dmontaner/mdgsa/blob/master/inst/doc/mdgsa_vignette.md) (readable in GitHub)

<!-- References -->
[montaner2010]:http://www.plosone.org/article/info%3Adoi%2F10.1371%2Fjournal.pone.0010348 "mdgsa Paper"
